Description: Add ENABLE_WERROR CMake build option.
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Forwareded: https://gitlab.com/ubports/development/core/biometryd/-/merge_requests/18

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -6,10 +6,16 @@
 set(BIOMETRYD_VERSION_MINOR 0)
 set(BIOMETRYD_VERSION_PATCH 1)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
+option(ENABLE_WERROR "Treat all build warnings as errors" ON)
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra -fPIC -pthread")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
+if(ENABLE_WERROR)
+    add_definitions("-Werror")
+endif()
+
 include(GNUInstallDirs)
 
 set(
--- a/src/biometry/qml/Biometryd/CMakeLists.txt
+++ b/src/biometry/qml/Biometryd/CMakeLists.txt
@@ -1,5 +1,5 @@
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Werror -Wall -fno-strict-aliasing -pedantic -Wextra -fPIC -pthread")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -fPIC -fvisibility=hidden -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -fno-strict-aliasing -pedantic -Wextra -fPIC -pthread")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 find_package(Qt5Core 5.4 REQUIRED)
